Package com.enonic.xp.content

## Class ContentVersion

- java.lang.Object
- - com.enonic.xp.content.ContentVersion

- All Implemented Interfaces:
    `Comparable<ContentVersion>`

      @PublicApi
      public final class ContentVersion
      extends Object
      implements Comparable<ContentVersion>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentVersion.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ContentVersion o)` | Deprecated.
    `static ContentVersion.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `ChildOrder` | `getChildOrder()` |
    `String` | `getComment()` |
    `String` | `getDisplayName()` |
    `ContentVersionId` | `getId()` |
    `Instant` | `getModified()` |
    `PrincipalKey` | `getModifier()` |
    `ContentPath` | `getPath()` |
    `AccessControlList` | `getPermissions()` |
    `ContentVersionPublishInfo` | `getPublishInfo()` |
    `Instant` | `getTimestamp()` |
    `WorkflowInfo` | `getWorkflowInfo()` |
    `int` | `hashCode()` |
    `boolean` | `isInheritPermissions()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getModifier

          public PrincipalKey getModifier()

    - #### getDisplayName

          public String getDisplayName()

    - #### getModified

          public Instant getModified()

    - #### getComment

          public String getComment()

    - #### getTimestamp

          public Instant getTimestamp()

    - #### getChildOrder

          public ChildOrder getChildOrder()

    - #### getId

          public ContentVersionId getId()

    - #### getPublishInfo

          public ContentVersionPublishInfo getPublishInfo()

    - #### getWorkflowInfo

          public WorkflowInfo getWorkflowInfo()

    - #### getPath

          public ContentPath getPath()

    - #### getPermissions

          public AccessControlList getPermissions()

    - #### isInheritPermissions

          public boolean isInheritPermissions()

    - #### create

          public static ContentVersion.Builder create()

    - #### compareTo

          @Deprecated
          public int compareTo​(ContentVersion o)

      Deprecated.
      Specified by:
        `compareTo` in interface `Comparable<ContentVersion>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`